Page MenuHomePhabricator

Add support for all Saami languages to Wikidata
Open, HighPublic

Description

Wikimedia Finland will be working together with the Skolt and Inari Saami communities. Having all of the Saami languages available would be useful for many purposes.

= this works. In the case of ULS, it means that it is in the ULS.
blank space = this doesn't work. In the case of ULS, it means that it is not in the ULS.
? = in principle, it should work, but doesn't for some reason.
<not known right now> = I don't know it. Doesn't mean it doesn't exist.

term = Wikidata labels, descriptions, or aliases;
mono = Monolingual fields in Wikidata
uls = Universal Language Selector
auto = Autocompletion suggests in Wikidata
sdc = Language choice in Structured Data on Commons

Saami languages:

lcodelangnameautonymtermmonouls autosdc note
smaSouthern Saamiåarjelsaemien gïele
sjuUmeubmejesámiengiälla
sjePitebidumsámegiella
smjLulejulevsámegiella
seNorthern Saamidavvisámegiella
sjkKemi<not known right now>
smnInarianarâškielâ
smsSkoltnuõʹrttsääʹmǩiõll, sääʹmǩiõll
siaAkkalasia-cyrl: а̄кь са̄мь кӣлл, а̄ххькэль са̄мь кӣлл, а̄кьяввьр са̄мь кӣлл. sia-ipa: ahʲkel kiːlː, ahʲkel sa:mʲ kiːlːsia-cyrl: Cyrillic, sia-ipa: IPA, sia-UPA: UPA
sjdKildinкӣллт са̄мь кӣлл, кӣлтса̄мь кӣллextended Cyrillic
sjtTersjt-cyrl: таррь са̄мь кӣлл. sjt-ipa: tarje kiːlː, tarje sa:mʲ kiːlːsjt-cyrl: Cyrillic, sjt-ipa: IPA, sjt-UPA: UPA

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2019, 5:51 PM
Mbch331 added a subscriber: Mbch331.Mar 1 2019, 6:00 PM

In what way do you want support for Sámi languages? For Labels/Descriptions/Aliasses or just for monolingual properties?

sju, smn, sms, sjd are already available for monolingual property types.
If you want them for labels etc. they need to be made available to ULS, which isn't for the WIkidata team

We will then proceed to ask to include at least smn and sms in ULS. For the rest, for our purposes, the ability to add monolingual properties would be enough. Thank you!

Missing from https://github.com/wikimedia/language-data/blob/master/data/langdb.yaml are: sjk, sia, sjt. Do note that an autonym is required to add language names there. ULS uses this database. All other listed languages are already in ULS.

Susannaanas added a comment.EditedMar 14 2019, 5:40 PM

sju, smn, sms, sjd are already available for monolingual property types.
If you want them for labels etc. they need to be made available to ULS, which isn't for the WIkidata team

I cannot find their codes here: https://www.wikidata.org/wiki/Help:Wikimedia_language_codes/lists/all. Are these the ULS languages?

This does not work

. This I guess should be the existing monolingual tag.

Neither do they display here

although they are in my Babel.

Susannaanas added a comment.EditedMar 21 2019, 10:30 AM

The status of requested Sámi languages is marked below. Not all languages can be used although they are said to be ready.

The most up-to-date listing can be found in T223524

jhsoby-WMNO added a project: WMNO-Sami.
Nikki added a subscriber: Nikki.Mar 25 2019, 2:43 PM

I cannot find their codes here: https://www.wikidata.org/wiki/Help:Wikimedia_language_codes/lists/all. Are these the ULS languages?

That page is generated from the P424 statements that users have added to Wikidata items. It doesn't say where the codes are used, so I think it's more confusing than helpful here.

Monolingual Where can this be checked?
Actual (can it be used in monolingual properties)
Actual (is it available in Labels

Unless something has changed recently:

Being in langdb.yaml is not enough to make a language usable in Wikidata.

The languages available for labels are:

The easiest way to check whether a language can be used for labels (in my opinion) is to look at the language field on https://www.wikidata.org/wiki/Special:NewItem

The languages available for monolingual text are:

Only the languages which are in Names.php show up in the suggestions for monolingual text. The ticket for fixing that is T124758.

@jhsoby-WMNO: Should there be another subtask asking for smn and sms to be made available for labels?

@jhsoby-WMNO: Should there be another subtask asking for smn and sms to be made available for labels?

Yes, that would be best. I can make one later unless you beat me to it. :-)

jhsoby-WMNO moved this task from Incoming to In progress on the WMNO-Sami board.Apr 11 2019, 1:02 PM
jhsoby-WMNO closed this task as Resolved.Apr 25 2019, 12:38 PM
jhsoby-WMNO moved this task from In progress to Done on the WMNO-Sami board.

I think this can be closed as resolved now.

The only thing that was mentioned that is missing is the autocomplete when typing language names in the monolingual text field. You can add monolingual texts by using the language codes, and it works, but if you try to type the name of the language it doesn't find it. That is an issue with all languages added for monolingual and not just these, so I don't feel like that issue "belongs" to this task specifically.

Yupik added a subscriber: Yupik.May 10 2019, 10:50 PM

Hate to come back to this, but it is still not possible to use sju, sjd, sjt or sia with labels or descriptions in Wikidata. sju I don't need right now, but I do need to be able to input labels and descriptions in the other three. Towards the end of the summer, at the latest, I will also need sju.

Other languages that are missing are all but one of the Romani languages, five of which are considered national minority languages in Sweden. As is Kven (fkv).

Mbch331 reopened this task as Open.May 11 2019, 12:27 PM

I just tried with: https://www.wikidata.org/w/api.php?action=wbsetlabel&format=json&id=Q42&token=<valid token>&language=sju&value=Wikimedia
And I get this as a result:

{"error":{"code":"unknown_language","info":"Unrecognized value for parameter \"language\": sju.","*":"See https://www.wikidata.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at &lt;https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce&gt; for notice of API deprecations and breaking changes."},"servedby":"mw1344"}
Yupik moved this task from Incoming to In progress on the WMFI board.
Yupik moved this task from Done to In progress on the WMNO-Sami board.May 17 2019, 8:33 AM
Yupik renamed this task from Add support for all Sámi languages to Add support for all Sámi languages to Wikidata.May 22 2019, 9:54 AM

Additionally, using sms as language failed while creating a lexeme

Nikki added a comment.May 25 2019, 4:58 PM

Additionally, using sms as language failed while creating a lexeme

Did you actually fill out the "Spelling variant of the lemma" field? I was able to create https://www.wikidata.org/wiki/Lexeme:L47045 fine.

Susannaanas triaged this task as High priority.May 25 2019, 5:53 PM

Additionally, using sms as language failed while creating a lexeme

Did you actually fill out the "Spelling variant of the lemma" field? I was able to create https://www.wikidata.org/wiki/Lexeme:L47045 fine.

Right, I did not. However, inside the lexeme, it cannot be used.

Do you want to create codes that allow entering UPA directly? e.g. "sms-fonupa" ?

Do you want to create codes that allow entering UPA directly? e.g. "sms-fonupa" ?

This is beyond my expertise, I will ask @Yupik to follow up, and propose to use a separate task.

You'd need that if most content you want to enter is directly in UPA

Do you want to create codes that allow entering UPA directly? e.g. "sms-fonupa" ?

We have something similar to that in T223524 for Akkala Saami and Ter Saami, as they don't have official orthographies of their own, so we have some stuff in Cyrillic, some in IPA, and some in UPA.

For Skolt Saami, I don't think that it's necessary to have separate codes, since it has an official orthography, although I would like to be able to add the UPA and IPA for items in that language when we have sources for it, similar to the way this has been done in Wikidata:Q102090 with IPA. I would also like some way of marking which dialect it is.

The IPA statement on Q102090 isn't really a sample to follow.

Yupik renamed this task from Add support for all Sámi languages to Wikidata to Add support for all Saami languages to Wikidata.Jun 1 2019, 10:37 PM
Yupik updated the task description. (Show Details)
Yupik updated the task description. (Show Details)Jun 1 2019, 10:39 PM
Yupik added a subscriber: tramm.Oct 6 2019, 7:57 AM
Zache added a subscriber: Zache.Fri, Nov 8, 9:44 AM

Wikimedia Commons requires also local mediawiki:lang/langcode pages for https://commons.wikimedia.org/wiki/Module:Languages